/*
 *      ISIS release V1.1, Dec. 1988
 *      Export restrictions apply
 */
#include    "isis.h"
#include    <varargs.h>

char *
msg_addfield (msg, field, data, type, len)
  register message  *msg;
  register u_char   field;
  register char     *data;
  register u_char   type;
  register int      len;
  {}

char *
msg_insertfield (msg, field, data, type, len)
  register message  *msg;
  u_char            field;
  char              *data;
  u_char            type;
  int               len;
  {}

char *
msg_getfield (msg, field, inst, lenp)
  register message  *msg;
  register u_char   field;
  register int      inst, *lenp;
  {}

msg_unpkfields (msg, field, first, n, datap, lenp)
  register message  *msg;
  u_char            field;
  int               first, n;
  char              *datap[];
  int               *lenp;
  {}

msg_deletefield (msg, field, inst)
  message           *msg;
  register u_char   field;
  register int      inst;
  {}

char *
msg_replacefield (msg, field, data, type, len)
  register message  *msg;
  u_char            field;
  char              *data;
  short             type;
  int               len;
  {}

/*VARARGS*/
message *
msg_gen()
  {}

/*VARARGS*/
msg_put()
  {}

/*VARARGS*/
msg_putfld()
  {}

msg_doputf(mp, fname, ap)
  message *mp;
  va_list *ap;
  {}

/*VARARGS*/
msg_get()
  {}

/*VARARGS*/
msg_getfld()
  {}

msg_dogetf(mlist, nmsgs, fname, fpt, argp)
  message **mlist;
  va_list *argp;
  int *fpt;
  {}

msg_rewind(mp)
  register message *mp;
  {}

block_desc *
msg_accessalloc ()
  {}

block_desc *
msg_blockalloc (req_len, curr_len)
  register int  req_len, curr_len;
  {}

msg_blockfree (blk_desc)
  register block_desc   *blk_desc;
  {}

msg_blockcheck (blk_desc)
  register block_desc   *blk_desc;
  {}

msg_blockdouble (descp)
  register block_desc   **descp;
  {}

msg_printblkdesc (blk_desc)
  register block_desc   *blk_desc;
  {}


msg_recordalloc (blk_desc)
  register block_desc   *blk_desc;
  {}

msg_recordfree (blk_desc)
  register block_desc   *blk_desc;
  {}

msg_addmsg (msg1, field, msg2)
  register message  *msg1;
  message           *msg2;
  u_char            field;
  {}

message *
msg_getmsg (msg, field, inst)
  register message  *msg;
  register u_char   field;
  register int      inst;
  {}

msg_unpkmsgs (msg, field, first, n, msgs)
  register message  *msg;
  u_char            field;
  int               first, n;
  message           *msgs[];
  {}

message *
msg_newmsg ()
  {}

/*VARARGS*/
message *
msg_genmsg (arg0)
  {}
 
message *
msg_reconstruct (data, blk_desc)
  char          *data;
  block_desc    *blk_desc;
  {}

msg_delete (msg)
  register message  *msg;
  {}

msg_split (msg)
  register message  *msg;
  {}
    
msg_convertfield (start, f_desc)
  register char         *start;
  register field_desc   *f_desc;
  {}

msg_makekey (shortcode, longcode)
  u_char    shortcode, longcode;
  {}

msg_convertshort (shortp)
  register short    *shortp;
  {}

msg_convertlong (longp)
  register long     *longp;
  {}

msg_convertaddress (addrp)
  register address  *addrp;
  {}

msg_convertsiteid (s_id)
  short     *s_id;
  {}

msg_convertpgroup (pg)
  pgroup    *pg;
  {}

msg_convertheader (hdr)
  register header   *hdr;
  {}

msg_definetype (type, size, converter, string)
  u_char    type;
  int       size;
  int       (*converter)();
  char      *string;
  {}

char *
msg_typename (type)
  register u_char   type;
  {}

msg_setdest (msg, dest)
  register message  *msg;
  register address  dest;
  {}

msg_setdests (msg, alist)
  register message  *msg;
  register address  *alist;
  {}

address *
msg_getdests (msg)
  register message  *msg;
  {}

address
msg_getreplyto (msg)
  register message  *msg;
  {}

msg_increfcount (msg)
  register message  *msg;
  {}

msg_ismsg (msg)
  message   *msg;
  {}

msg_makelazy (msg, howlazy)
  register message  *msg;
  int               howlazy;
  {}

msg_gettype (msg, field, inst)
  register message  *msg;
  u_char            field;
  int               inst;
  {}

msg_printaccess (msg)
 register message   *msg;
  {}

msg_printheader (msg)
  register message  *msg;
  {}

msg_printfield (msg, field, inst)
  register message  *msg;
  u_char            field;
  int               inst;
  {}

msg_recordmsgalloc (msg)
  register message  *msg;
  {}

msg_recordmsgfree (msg)
  register message  *msg;
  {}

msg_dumpmsgs (level)
  int   level;
  {}

msg_dumpblocks()
  {}

msg_msgcheck (msg)
  message   *msg;
  {}

msg_callertrace (routine, msg, caller)
  char      *routine;
  message   *msg;
  char      *caller;
  {}

